Announcement

Collapse
No announcement yet.

Hard Fork at Block 1018866

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #46
    ok I appreciate it, I put the script that I am testing, I still do not know if it works at 100x100, I will compare with the pdf

    ## create build using "Windows Subsystem for Linux", (test in windows 10)
    ## install in windows 10 from the store "ubuntu 18.04"
    ## run "ubuntu 18.04", assign password and other topics
    ## create script "nano build.sh", paster de script, save script and run "sudo sh build.sh"
    ## drink coffee, it will take a long time depending on the compilation team
    ## binaries after compilation are saved in
    ##
    ##
    ## by xtpeloco (Dev Bitcoin Nova)

    sudo add-apt-repository ppa:bitcoin/bitcoin
    apt update
    apt upgrade
    apt install build-essential libtool autotools-dev automake pkg-config bsdmainutils curl git libdb4.8-dev libdb4.8++-dev libboost-all-dev libssl-dev libevent-dev libgmp-dev qt5-default qttools5-dev libqt5svg5-dev libqt5x11extras5-dev

    apt install nsis

    git clone https://github.com/phoenixkonsole/transcendence.git
    cd transcendence

    sudo apt install g++-mingw-w64-x86-64
    sudo update-alternatives --config x86_64-w64-mingw32-g++

    PATH=$(echo "$PATH" | sed -e 's/:\/mnt.*//g')
    cd depends
    make HOST=x86_64-w64-mingw32
    cd ..
    ./autogen.sh
    CONFIG_SITE=$PWD/depends/x86_64-w64-mingw32/share/config.site ./configure --prefix=/ # Set the default mingw32 g++ compiler option to posix.
    make

    #
    #make install DESTDIR=/mnt/c/workspace/transcendence

    # create an installer using
    #make deploy

    Comment


    • #47
      This is for ubuntu (cross compile from Ubuntu to with windows as target)
      you can't compile on Linux subsystem for windows 10. You may be able to run the wallet if it is compiled on the Windows 10 Linux subsystem.

      YOU MUST 100% compile the dependencies provided by us.
      Your are installing incompatible dependencies like libboost.

      Also your script is going to install an incompatible SSL version.

      You can't compile it in any other way than i provided in the pdf

      Comment


      • #48
        https://github.com/PIVX-Project/PIVX...ild-windows.md

        Comment


        • #49
          Well... we are not pivx since 2 forks.. you can try.. i say... it's not supported. Anyway your script is installing incompatible libs

          Comment


          • #50
            if compilation just failed at the end

            I will see with the pdf

            Comment


            • #51
              the page you linked says also to build via depends ... do it and it may work. As written in the PDF

              Comment


              • #52
                the pc turned off by surprise .... jejejeje

                Comment


                • #53
                  I am going to see if I can create the file that auto compiles the binaries in windows, I will paste it here in case you want to put it in the github and connect to auto publish changes, this if configured correctly, the same compilation uploads it to the github.

                  this is done in the two project files

                  - .appveyor.yml (windows)
                  - .travis.yml (linux, mac, arm, ..etc)

                  https://ci.appveyor.com/project/IB313184/transcendence
                  Last edited by xtpeloco; 07-12-2020, 06:37 PM.

                  Comment


                  • #54
                    You can grab the windows binary from GitHub, but if you get the script to work you have a friend in me.

                    Comment


                    • #55
                      if this is what we use to auto-compile binaries, just configure those files well, then you forget to compile, they are auto-generated every time you have a change in the github source code

                      https://github.com/IB313184/transcen.../.appveyor.yml

                      Comment


                      • #56
                        Well I do not want to be heavy but the wallet 2.3 windows has no connections

                        Comment


                        • #57
                          Hello, really need blockchain snapshot fot Telos v3 (or bootstrap), passed problematic block and seed nodes. It seems windows wallet ignore any addnode.
                          Also I want to know, which TELOS v3 explorer is correct, because it seems there is no one with correct time. Looking into http://95.217.214.252:3001/ , but really time is wrong. Only date is actual.

                          Comment


                          • #58
                            Pretty normal - just be patient - just check th add node IPs already mentioned in this thread ... give a - addnode 5.189.139.203 onetry or add a chance - even using this you should be patient - even getting e.g. 2 connections after some hours - next connections take some hours too - but works at the end

                            Comment


                            • #59
                              Sometimes the explorer overloaded with the people checking every second a block 😉 - so maybe give a try to - https://explorer.teloscoin.org

                              Comment


                              • #60
                                all of u should really look at bottom right explorer for right block count and yes bottom right of explorer always shows the correct block count. Explorer overloaded so u need to type in manually block to get hash or tx ids u guys wanna search.

                                Comment

                                Working...
                                X